button {
    padding: 20px;
    font-weight: bolder;
    font-size: x-large;
}

.alert {
    display: inline-block;
    color: red;
}

/* HEADER with logo */

.base-head {
    display: flex;
    padding-bottom: 30px;
    background-color: white;
}

.base-head img {
    width: auto;
    height: 80px;
    margin-right: 20px;
}

/* HEADER With links */

.base-links {
    /*background-color: indianred;    */
    width: 100%;
}

.base-links a {
    display: inline-block;
    width: 22%;
    padding-top: 20px;
    padding-bottom: 20px;
}

.base-links .link-active {
    background-color: #e3e3e3;
    font-size: x-large;
    font-weight: bolder;
}

.base-links .link-inactive {
    background-color: indianred;
    font-size: x-large;
    font-weight: bold;
}

/* BODY HOME */

main {
    background-color: #e3e3e3;
}

.homepage {
    display: inline-block;
}

.homepage li {
    padding: 10px;
}


/* BODY SHIFTS */

.day {
    display: inline-block;
}

.shiftgroup {
    display: inline-block;
    font-weight: bold;
    margin-bottom: 20px;
    position: relative;
}

.shift {
    display: inline-block;
    border-style: solid;
    border-color: black;
    padding: 10px;
    vertical-align: top;
}

@media only screen and (orientation: landscape) {
    .shift {
        min-width: 100px;
        max-width: 300px;
    }
}

@media only screen and (orientation: portrait) {
    .shift {
        width: 29%;
        min-width: 200px;
    }
}

.shift ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
    position: relative;
}

.shift ul li {
    border-top-style: solid;
    border-right-style: solid;
    border-left-style: solid;
    border-color: grey;
    margin: 0;
    padding: 0;
    min-height: 50px;
    min-width: 200px;
}

.shift ul li:last-child {
    border-bottom-style: solid;
}

.editshift {
    display: inline-block;
    border-style: solid;
    border-color: grey;
    padding: 10px;
    margin: 10px;
    vertical-align: top;
    min-width: 80%;

}

.editshiftslots form {
    
    list-style-type: none;
    margin: 0;
    padding: 0;

}

.editshiftslots form li input {
    border-top-style: solid;
    border-right-style: solid;
    border-left-style: solid;
    border-bottom-style: none;
    border-color: lightgray;
    margin: 0;
    padding: 0;
    min-height: 50px;
    font-weight: bold;
    width: 100%;
}

.editshiftslots form li input:last-child {
    border-bottom-style: solid;
}

.editshift button {
    margin-top: 20px;
}

/* BODY cakes */

.cakelist {
    display: table;
    padding-top: 20px;
}

.cakeitem {
    display: table-row;
}

.cake {
    display: table-cell;
    border-style: solid;
    border-color: grey;
    padding: 10px;
    min-width: 10px;
    width: 30%;
    overflow-wrap: break-word;
    font-size: larger;
}

.cakepen {
    display: table-cell;
    border-style: none;
    padding-left: 5px;
    width: 10%;
    max-width: 10%;
    min-width: 10px;
}

/* BODY cake edit */
.cakeedit {
    display: table;
    border-spacing: 10px;
}

.cakeedit p {
    display: table-row;
}

.cakeedit label {
    display: table-cell;
}

.cakeedit input {
    display: table-cell;
}

.cakeedit button {
    margin-top: 20px;
}

.cancelcake {
    float: right;
}

.statstable table {
    text-align: center;
    border: 1px solid black;
    border-collapse: collapse;
}

.statstable th {
    text-align: center;
    border: 1px solid black;
    border-collapse: collapse;
}

.statstable tr {
    text-align: center;
    border: 1px solid black;
    border-collapse: collapse;
}

.statstable td {
    text-align: center;
    border: 1px solid black;
    border-collapse: collapse;
}
